### Method

# Gck Session login_interactive_async

#### Declaration [src]

    void
    gck_session_login_interactive_async (
      GckSession* self,
      gulong user_type,
      GTlsInteraction* interaction,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Login the user on the session prompting for passwords interactively when necessary. This call will return immediately and completes asynchronously.

This method completes asynchronously. Use `gck_session_login_interactive_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`user_type`

  Type: `gulong`

  The type of login user.

`interaction`

  Type: `GTlsInteraction`

  Interaction to request PIN when necessary.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.